Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmTyingConstrDiag.Designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmTyingConstrDiag.Designer.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmTyingConstrDiag.Designer.cs	(revision 51)
@@ -0,0 +1,173 @@
+﻿namespace ProcessManagement.Forms.SubForms
+{
+    partial class FrmTyingConstrDiag
+    {
+        /// <summary>
+        /// Required designer variable.
+        /// </summary>
+        private System.ComponentModel.IContainer components = null;
+
+        /// <summary>
+        /// Clean up any resources being used.
+        /// </summary>
+        /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+        protected override void Dispose(bool disposing)
+        {
+            if (disposing && (components != null))
+            {
+                components.Dispose();
+            }
+            base.Dispose(disposing);
+        }
+
+        #region Windows Form Designer generated code
+
+        /// <summary>
+        /// Required method for Designer support - do not modify
+        /// the contents of this method with the code editor.
+        /// </summary>
+        private void InitializeComponent()
+        {
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle1 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle2 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle3 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle4 = new System.Windows.Forms.DataGridViewCellStyle();
+            this.btnEnd = new System.Windows.Forms.Button();
+            this.btnSelect = new System.Windows.Forms.Button();
+            this.dgvMaster = new System.Windows.Forms.DataGridView();
+            this.Column1 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.Column5 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.Column3 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            ((System.ComponentModel.ISupportInitialize)(this.dgvMaster)).BeginInit();
+            this.SuspendLayout();
+            // 
+            // btnEnd
+            // 
+            this.btnEnd.BackColor = System.Drawing.Color.Blue;
+            this.btnEnd.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnEnd.ForeColor = System.Drawing.Color.White;
+            this.btnEnd.Location = new System.Drawing.Point(772, 162);
+            this.btnEnd.Name = "btnEnd";
+            this.btnEnd.Size = new System.Drawing.Size(120, 30);
+            this.btnEnd.TabIndex = 3;
+            this.btnEnd.Text = "終　了";
+            this.btnEnd.UseVisualStyleBackColor = false;
+            this.btnEnd.Click += new System.EventHandler(this.btnEnd_Click);
+            // 
+            // btnSelect
+            // 
+            this.btnSelect.BackColor = System.Drawing.Color.Green;
+            this.btnSelect.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnSelect.ForeColor = System.Drawing.Color.White;
+            this.btnSelect.Location = new System.Drawing.Point(644, 162);
+            this.btnSelect.Name = "btnSelect";
+            this.btnSelect.Size = new System.Drawing.Size(120, 30);
+            this.btnSelect.TabIndex = 2;
+            this.btnSelect.Text = "選　択";
+            this.btnSelect.UseVisualStyleBackColor = false;
+            this.btnSelect.Click += new System.EventHandler(this.btnSelect_Click);
+            // 
+            // dgvMaster
+            // 
+            this.dgvMaster.AllowUserToAddRows = false;
+            this.dgvMaster.AllowUserToDeleteRows = false;
+            this.dgvMaster.AllowUserToResizeColumns = false;
+            this.dgvMaster.AllowUserToResizeRows = false;
+            this.dgvMaster.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            dataGridViewCellStyle1.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle1.BackColor = System.Drawing.SystemColors.Control;
+            dataGridViewCellStyle1.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold);
+            dataGridViewCellStyle1.ForeColor = System.Drawing.SystemColors.WindowText;
+            dataGridViewCellStyle1.SelectionBackColor = System.Drawing.SystemColors.Highlight;
+            dataGridViewCellStyle1.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
+            dataGridViewCellStyle1.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
+            this.dgvMaster.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle1;
+            this.dgvMaster.ColumnHeadersHeight = 24;
+            this.dgvMaster.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
+            this.dgvMaster.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
+            this.Column1,
+            this.Column5,
+            this.Column3});
+            this.dgvMaster.Location = new System.Drawing.Point(12, 8);
+            this.dgvMaster.Name = "dgvMaster";
+            this.dgvMaster.RowHeadersVisible = false;
+            this.dgvMaster.RowHeadersWidth = 20;
+            this.dgvMaster.RowHeadersWidthSizeMode = System.Windows.Forms.DataGridViewRowHeadersWidthSizeMode.DisableResizing;
+            this.dgvMaster.RowTemplate.Height = 24;
+            this.dgvMaster.Size = new System.Drawing.Size(880, 146);
+            this.dgvMaster.TabIndex = 0;
+            this.dgvMaster.CellDoubleClick += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgvMaster_CellDoubleClick);
+            // 
+            // Column1
+            // 
+            dataGridViewCellStyle2.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle2.Font = new System.Drawing.Font("ＭＳ 明朝", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.Column1.DefaultCellStyle = dataGridViewCellStyle2;
+            this.Column1.Frozen = true;
+            this.Column1.HeaderText = "№";
+            this.Column1.Name = "Column1";
+            this.Column1.ReadOnly = true;
+            this.Column1.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.Column1.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.Column1.Width = 60;
+            // 
+            // Column5
+            // 
+            dataGridViewCellStyle3.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            this.Column5.DefaultCellStyle = dataGridViewCellStyle3;
+            this.Column5.Frozen = true;
+            this.Column5.HeaderText = "工事番号";
+            this.Column5.Name = "Column5";
+            this.Column5.ReadOnly = true;
+            this.Column5.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.Column5.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.Column5.Visible = false;
+            this.Column5.Width = 120;
+            // 
+            // Column3
+            // 
+            dataGridViewCellStyle4.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
+            dataGridViewCellStyle4.Font = new System.Drawing.Font("ＭＳ 明朝", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.Column3.DefaultCellStyle = dataGridViewCellStyle4;
+            this.Column3.Frozen = true;
+            this.Column3.HeaderText = "工　　事　　名　　称";
+            this.Column3.Name = "Column3";
+            this.Column3.ReadOnly = true;
+            this.Column3.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.Column3.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.Column3.Width = 800;
+            // 
+            // FrmTyingConstrDiag
+            // 
+            this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);
+            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Dpi;
+            this.BackColor = System.Drawing.Color.Black;
+            this.ClientSize = new System.Drawing.Size(904, 197);
+            this.Controls.Add(this.dgvMaster);
+            this.Controls.Add(this.btnSelect);
+            this.Controls.Add(this.btnEnd);
+            this.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold);
+            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
+            this.KeyPreview = true;
+            this.MaximizeBox = false;
+            this.MinimizeBox = false;
+            this.Name = "FrmTyingConstrDiag";
+            this.ShowIcon = false;
+            this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
+            this.Text = "工事案件選択";
+            this.Load += new System.EventHandler(this.FrmCostStructureDiag_Load);
+            ((System.ComponentModel.ISupportInitialize)(this.dgvMaster)).EndInit();
+            this.ResumeLayout(false);
+
+        }
+
+        #endregion
+
+        private System.Windows.Forms.Button btnEnd;
+        private System.Windows.Forms.Button btnSelect;
+        private System.Windows.Forms.DataGridView dgvMaster;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column1;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column5;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column3;
+    }
+}
\ No newline at end of file
Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmTyingConstrDiag.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmTyingConstrDiag.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmTyingConstrDiag.cs	(revision 51)
@@ -0,0 +1,341 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.Forms.CustomControls;
+using ProcessManagement.Forms.ControlsAction;
+using System.Collections;
+
+namespace ProcessManagement.Forms.SubForms
+{
+    public partial class FrmTyingConstrDiag : Form
+    {
+        #region ログ使用定義
+        //log4netログを使用する
+        private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// 表示カラム
+        /// </summary>
+        private enum GridColumn
+        {
+            DisplayOrder = 0,
+            ConstructionCode,
+            ConstructionName,
+        }
+
+        /// <summary>
+        /// 担当者検索位置
+        /// </summary>
+        public enum PersonChargePoint
+        {
+            /// <summary>
+            /// 営業担当
+            /// </summary>
+            Sales = 0,
+            /// <summary>
+            /// 工事担当者
+            /// </summary>
+            Construction,
+        }
+        #endregion
+
+        #region 変数
+        /// <summary>
+        /// 工事番号
+        /// </summary>
+        private int m_ConstructionCode = 0;
+
+        /// <summary>
+        /// 終了状態フラグ
+        /// </summary>
+        private DialogResult m_EndButton = DialogResult.None;
+
+        /// <summary>
+        /// 親工事追加フラグ
+        /// </summary>
+        private bool m_ParentAdd = false;
+
+        /// <summary>
+        /// 起動プロセス番号
+        /// </summary>
+        private int m_OperationProcess = 0;
+        #endregion
+
+        #region プロパティ
+        /// <summary>
+        /// 工事番号
+        /// </summary>
+        public int ConstructionCode
+        {
+            get { return m_ConstructionCode; }
+            set { m_ConstructionCode = value; }
+        }
+
+        /// <summary>
+        /// 終了ボタン押下
+        /// </summary>
+        public DialogResult EndButton
+        {
+            get { return m_EndButton; }
+        }
+
+        /// <summary>
+        /// 親コード追加フラグ
+        /// </summary>
+        public bool ParentAdd
+        {
+            get { return m_ParentAdd; }
+            set { m_ParentAdd = value; }
+        }
+
+        /// <summary>
+        /// 起動プロセス番号
+        /// </summary>
+        public int OperationProcess
+        {
+            get { return m_OperationProcess; }
+            set { m_OperationProcess = value; }
+        }
+
+        #endregion
+
+        #region フォーム初期化
+        /// <summary>
+        /// フォーム初期化
+        /// </summary>
+        public FrmTyingConstrDiag()
+        {
+            InitializeComponent();
+        }
+        #endregion
+
+        #region フォームロード
+        /// <summary>
+        /// フォームロード
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmCostStructureDiag_Load(object sender, EventArgs e)
+        {
+            // フォームサイズ固定
+            this.MaximizedBounds = new Rectangle(this.Left, this.Top, this.Width, this.Height);
+
+            // 処理名称表示
+            if (m_OperationProcess != 0)
+            {
+                this.Text = string.Format("【{0}】　工事案件選択",
+                    ClsExcute.ProcessExecuteName[m_OperationProcess].Replace("－", ""));
+            }
+            
+            // 初期表示
+            InitDataLoad();
+        }
+        #endregion
+
+        #region 終了ボタン押下
+        /// <summary>
+        /// 終了ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnEnd_Click(object sender, EventArgs e)
+        {
+            m_EndButton = DialogResult.No;
+            this.Close();
+        }
+        #endregion
+
+        #region 選択ボタン押下
+        /// <summary>
+        /// 選択ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnSelect_Click(object sender, EventArgs e)
+        {
+            DataGridView dgv = dgvMaster;
+            DataGridViewRow dgvRow = dgv.CurrentRow;
+            
+            // 工事番号取得
+            m_ConstructionCode = CommonMotions.cnvInt(dgvRow.Cells[(int)GridColumn.ConstructionCode].Value);
+
+            m_EndButton = DialogResult.OK;
+            this.Close();
+        }
+        #endregion
+
+        #region セルのダブルクリック時
+        /// <summary>
+        /// セルのダブルクリック時
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgvMaster_CellDoubleClick(object sender, DataGridViewCellEventArgs e)
+        {
+            DataGridView dgv = dgvMaster;
+            DataGridViewRow dgvRow = dgv.CurrentRow;
+
+            // 空白チェック
+            if (!BlanckRowCheck(dgvRow)) return;
+            // グリッドクリック以外は処理しない
+            if (e.RowIndex < 0) return;
+
+            // 工事番号取得
+            m_ConstructionCode = CommonMotions.cnvInt(dgvRow.Cells[(int)GridColumn.ConstructionCode].Value);
+
+            m_EndButton = DialogResult.OK;
+            this.Close();
+        }
+        #endregion
+
+        #region 初期表示処理
+        /// <summary>
+        /// 初期表示処理
+        /// </summary>
+        private void InitDataLoad()
+        {
+            try
+            {
+                // グリッドの行を0に戻す
+                dgvMaster.Rows.Clear();
+
+                // 一覧表示
+                DisplayConstruction();
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 工事一覧表示処理
+        /// <summary>
+        /// 工事一覧表示処理
+        /// </summary>
+        private void DisplayConstruction()
+        {
+            IOConstructionBaseInfo BaseDB = new IOConstructionBaseInfo();
+            try
+            {
+                dgvMaster.Rows.Clear();
+
+                // 表示対象の取得
+                List<int> CodeList = new List<int>();
+                ClsProcessExist.GetTargetList(BaseDB, ref CodeList, m_ParentAdd);
+                int ParentCode = ClsProcessExist.GetParentConstrCode(m_ConstructionCode);
+
+                int iCode = CommonDefine.ProjectsStatus.First(x => x.Value.Equals("非 受 注")).Key;
+
+                string strSQL = "SELECT A.CONSTRUCTIONCODE, B.DETAILSTRING FROM CONSTRUCTIONBASEINFO A, CONSTRUCTIONBASEINFODETAIL B";
+
+                string strInWher = " (";
+                bool binit = true;
+                foreach (int CurCode in CodeList)
+                {
+                    if (!binit) strInWher += " ,";
+                    strInWher += string.Format("{0}", CurCode);
+                    binit = false;
+                }
+                strInWher += ")";
+
+                strSQL += " WHERE A.CONSTRUCTIONCODE in ";
+                strSQL += strInWher;
+
+                strSQL += string.Format(" AND A.CONSTRUCTIONSTATUSFLG != {0}", iCode);
+                strSQL += string.Format(" AND (B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE AND B.DETAILNO = {0})", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
+
+                switch (m_OperationProcess)
+                {
+                    case (int)ClsExcute.ProcessExecuteNo.EstimateInput:
+                        strSQL += " AND EXISTS (SELECT * FROM ESTIMATEDATA EXDB WHERE EXDB.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE)";
+                        break;
+                    case (int)ClsExcute.ProcessExecuteNo.ConstructionBudget:
+                        strSQL += " AND EXISTS (SELECT * FROM CONSTRUCTIONBUDGET EXDB WHERE EXDB.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE)";
+                        break;
+                    case (int)ClsExcute.ProcessExecuteNo.ConstructionCopyList:
+                        strSQL += " AND EXISTS (SELECT * FROM ESTIMATEDATA EXDB WHERE EXDB.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE)";
+                        break;
+                    case (int)ClsExcute.ProcessExecuteNo.PurchaseOrderEntry:
+                        strSQL += " AND EXISTS (SELECT * FROM CONSTRUCTIONLEDGERDETAIL EXDB";
+                        strSQL += " WHERE EXDB.CONSTRUCTIONCODE in " + strInWher;
+                        strSQL += " AND EXDB.SOURCECODE = A.CONSTRUCTIONCODE";
+                        strSQL += string.Format(" AND EXDB.EXECUTIONAMOUNT >= {0})", CommonDefine.s_PrintOutPrice);
+                        break;
+                    case (int)ClsExcute.ProcessExecuteNo.PurchaseOrderPrint:
+                        strSQL += " AND EXISTS (SELECT * FROM PURCHASEORDER EXDB WHERE EXDB.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE)";
+                        break;
+                    default:
+                        break;
+                }
+                
+                strSQL += " ORDER BY A.CONSTRUCTIONCODE";
+
+                ArrayList BaseList = new ArrayList();
+                if (!BaseDB.ExecuteReader(strSQL, ref BaseList)) return;
+                if (BaseList.Count == 0) return;
+
+                // 要素表示
+                int i = 0;
+                foreach (object[] wrk in BaseList)
+                {
+                    // データ表示
+                    string EditConstructionCode = CommonMotions.cnvStringCodeFromInt(ConstructionCode, "-", 8);
+                    dgvMaster.Rows.Add((i + 1),
+                                        CommonMotions.cnvInt(wrk[0]),
+                                        CommonMotions.cnvString(wrk[1]));
+
+                    dgvMaster.Rows[i++].Cells[(int)GridColumn.ConstructionName].ToolTipText = CommonMotions.cnvString(wrk[1]);
+
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                BaseDB.close(); BaseDB = null;
+                // 表示行が足りない場合の表示
+                if (dgvMaster.Rows.Count < 5) dgvMaster.Rows.Add(5 - dgvMaster.Rows.Count);
+            }
+        }
+        #endregion
+
+        #region グリッド空行チェック
+        /// <summary>
+        /// グリッド空行チェック
+        /// </summary>
+        /// <param name="row"></param>
+        /// <returns></returns>
+        private bool BlanckRowCheck(DataGridViewRow row)
+        {
+            try
+            {
+                // 空欄チェック
+                if (CommonMotions.chkObjectIsNull(row.Cells[(int)GridColumn.ConstructionCode].Value)) return false;
+                if (CommonMotions.cnvString(row.Cells[(int)GridColumn.ConstructionName].Value).Length == 0) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+    }
+}
Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmValueOfOrder.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmValueOfOrder.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmValueOfOrder.cs	(revision 51)
@@ -144,9 +144,9 @@
 
         #endregion
 
-        #region フォーム初期化
+        #region コンストラクタ
         /// <summary>
-        /// フォーム初期化
+        /// コンストラクタ
         /// </summary>
         public FrmValueOfOrderDiag()
         {
@@ -362,8 +362,16 @@
                 ClearEditArea();
 
                 // 現在受注金額表示
-                lbl001.Text = m_ConstructionBaseInfo.OrdersDecisionPrice.ToString("#,0");
-                lbl002.Text = m_ConstructionBaseInfo.OrdersDecisionPriceInTax.ToString("#,0");
+                lbl001.Text = m_OrdersDecisionPrice.ToString("#,0");
+                if (m_OrdersDecisionPriceInTax != 0)
+                {
+                    lbl002.Text = m_OrdersDecisionPriceInTax.ToString("#,0");
+                }
+                else
+                {
+                    double taxrate = 1 + CommonMotions.SystemMasterData.ConsumptionTax / 100.0;
+                    lbl002.Text = CommonMotions.cnvRound(m_OrdersDecisionPrice * taxrate).ToString("#,0");
+                }
 
                 m_bChengeAns = false;
             }
@@ -617,12 +625,12 @@
 
                 // 税抜受注金額変更
                 if (!BaseDB.UpdateFeild(m_ConstructionCode,
-                                    (int)IOConstructionBaseInfo.TableColumn.ORDERS_DECISION_PRICE,
+                                    (int)IOConstructionBaseInfo.TableColumn.OrdersDecisionPrice,
                                         CommonMotions.cnvInt(textBox001.Text), false)) return false;
 
                 // 税込受注金額変更
                 if (!BaseDB.UpdateFeild(m_ConstructionCode,
-                                    (int)IOConstructionBaseInfo.TableColumn.ORDERS_DECISION_PRICE_IN_TAX,
+                                    (int)IOConstructionBaseInfo.TableColumn.OrdersDecisionPriceInTax,
                                         CommonMotions.cnvInt(textBox002.Text), false)) return false;
                 return true;
             }
Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmVehicleCalendar.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmVehicleCalendar.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmVehicleCalendar.cs	(revision 51)
@@ -163,6 +163,8 @@
 
                 vsdDB.commit();
 
+                CommonMotions.EntryEndMessage("車両予約データ");
+
                 m_bChengeAns = false;
 
                 this.Close();
@@ -195,6 +197,8 @@
 
                 m_bChengeAns = false;
 
+                CommonMotions.RemoveEndMessage("車両予約データ");
+
                 // 終了
                 this.Close();
 
@@ -482,7 +486,8 @@
                 wrkEndDate = wrkEndDate.AddDays(-1);
 
                 string wrkSQL = "SELECT Count(*) FROM HolidayCalenderMaster";
-                wrkSQL += string.Format(" Where DATE_FORMAT('{0}','%Y/%m/%d') <= Holiday And Holiday <= DATE_FORMAT('{1}','%Y/%m/%d')"
+                //wrkSQL += string.Format(" Where TO_DATE('{0}','YYYY/MM/DD') <= Holiday And Holiday <= TO_DATE('{1}','YYYY/MM/DD')"
+                wrkSQL += string.Format(" Where STR_TO_DATE('{0}','%Y/%m/%d') <= Holiday And Holiday <= STR_TO_DATE('{1}','%Y/%m/%d')"
                                         , wrkStratDate.ToShortDateString(), wrkEndDate.ToShortDateString());
                 ArrayList arData = new ArrayList();
 
